Loading...
Searching...
No Matches
etl::is_user_message_base< T > Struct Template Reference

Is T a user defined base of etl::message<T> and not an etl::imessage. More...

`#include <message.h>`

## Additional Inherited Members

Public Types inherited from etl::integral_constant< bool, BValue >
typedef bool | value_type
typedef integral_constant< bool, VALUE > | type
Public Member Functions inherited from etl::integral_constant< bool, BValue >
| operator value_type () const
Static Public Attributes inherited from etl::integral_constant< bool, BValue >
static const bool | value

## Detailed Description

template<typename T>
struct etl::is_user_message_base< T >

Is T a user defined base of etl::message<T> and not an etl::imessage.

The documentation for this struct was generated from the following file:

- include/etl/message.h